/*********************************************************************
 * 
 *********************************************************************/
package dbmaker.sql;                                                  

/*********************************************************************
 *  Module : dmJdbc_en_US.properties 
 *                                                                    
 *********************************************************************/
JERR_CANNOT_NULL_STRING=input string cannot be a null string
JERR_CANNOT_EMPTY_STRING=input string cannot be a empty string
JERR_OBJECT_IS_CLOSED=the object is closed
JERR_UNSUPPORT_OPERATION=unsupport operation :
JERR_PREV_RS_NOT_CLOSED=Previous result set has not closed yet
JERR_INV_FETCH_DIRECTION_VAL=invalid fetch direction value, should be :
JERR_UNSUPPORT_FETCH_DIRECTION_VAL=driver does not support this fetch direction value :
JERR_INTERNAL_ERROR=driver internal error
JERR_CANNOT_GET_ENOUGH_STREAM=cannot get enough stream specified by input length, input length is
JERR_INV_PARAM_NUM=parameter number not in valid parameter number range :
JERR_DISCONN_FAIL=fail to disconnect
JERR_DRIVER_NOT_SUPPORT_SQL_TYPE=driver does not support this SQL type :
JERR_CONN_FAIL=fail to establish a connection
JERR_INV_RS_TYPE=invalid result set type, should be :
JERR_INV_RS_CONCUR=invalid result set concurrency value, should be :
JERR_INV_START_PO=invalid start position, should be larger than zero
JERR_INV_GET_LENGTH=invalid getting length
JERR_CURSOR_FORWARD_ONLY=cursor type is forward only; can't perform this operation :
JERR_RS_CONTAIN_NO_ROW=this resultset contains no row.
JERR_CURSOR_POS_INCORRECT=current row can't perform INSERT/DELETE/UPDATE
JERR_ROW_HAS_DELETED=current row has deleted
JERR_CANNOT_FIND_COLUMN=cannot find a column for this column name
JERR_CANNOT_GET_BLOB=cannot get blob from this data type :
JERR_INV_COLUMN_NUM=column number is not in valid column number range
JERR_CONCUR_READ_ONLY=the concurrency type is read only; can't perform this operation :
JERR_INV_INSERT_POS=the current position cannot operate insertRow()
JERR_INV_FETCH_SIZE=invalid fetch size; should be greater than zero
JERR_CANNOT_UPDATE_ROW=cannot update current row; probably because current row has deleted or no such row
JERR_INV_CURSOR_TYPE=invalid cursor type
JERR_INV_SCOPE_VALUE=invalid scope value
JERR_INV_JDBC_DATA_TYPE=this data type does not define in java.sql.Types :
JERR_INV_TRANS_ISOLATION_VAL=invalid transaction isolation level value
JERR_INV_HOLD_TYPE=invalid cursor holdability value
JERR_CONN_NOT_OPEN=connection not open yet
JERR_LOAD_CLIENT_LIB=fail to load DBMaker client library
JERR_ALLOC_ENV=fail to allocate a environment
JERR_FAIL_TO_GET_PRO_FILE=fail to get properities file
JERR_DEC_EXCEED_MAX_DIGIT=specified bigdecimal number exceeds maximum number of digits
JERR_EXCEED_INTEGER_RANGE=specified number exceeds the maximum integer value or under the minimum integer value
JERR_NO_RESULTSET=no resultset was produced
JERR_NO_ROW_COUNT=no row count was produced
JERR_EXECUTE_AFTER_ADDBATCH=after calling addBatch(), you must call either executeBatch() or clearBatch() before a call to execute()
JERR_INVALID_SELECT_BATCH=invalid SELECT batch command
